Summary:    Convenience, extension and workaround code for Python and some Python modules
Name:       python-slip
Version:    0.6.5
Release:    3%{?dist}
License:    GPLv2+
URL:        https://github.com/nphilipp/python-slip
Source0:    https://github.com/nphilipp/python-slip/archive/python-slip-%{version}/python-slip-%{version}.tar.gz
BuildArch:  noarch

BuildRequires: make, python3-devel

%description
This package provides the "slip" and the "slip.util" modules.

%package -n python3-slip
Summary:    Convenience, extension and workaround code for Python 3.x
Requires:   python3-libselinux

%description -n python3-slip
This package provides the "slip" and the "slip.util" modules.

%package -n python3-slip-dbus
Summary:    Convenience functions for dbus services in Python 3.x
Requires:   python3-slip = %{version}-%{release}
Requires:   python3-dbus >= 0.80
Requires:   python3-decorator
Requires:   python3-six
Provides:   python3-slip-dbus

%description -n python3-slip-dbus
This package provides slip.dbus.service.Object, which is a dbus.service.Object
derivative that ends itself after a certain time without being used and/or if
there are no clients anymore on the message bus, as well as convenience
functions and decorators for integrating a dbus service with PolicyKit.



%prep
%autosetup -n %{name}-%{name}-%{version}



%build
PYTHON=python3 make %{?_smp_mflags}



%install
PYTHON=python3 make install DESTDIR=%{buildroot}



%check
# no unit tests



%files -n python3-slip
%doc COPYING doc/dbus
%dir %{python3_sitelib}/slip/
%{python3_sitelib}/slip/__pycache__
%{python3_sitelib}/slip/__init__.py*
%{python3_sitelib}/slip/util
%{python3_sitelib}/slip/_wrappers
%{python3_sitelib}/slip-%{version}-py%{python3_version}.egg-info

%files -n python3-slip-dbus
%doc doc/dbus/*
%{python3_sitelib}/slip/dbus
%{python3_sitelib}/slip.dbus-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 06 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.6.5-1
- initial build
